package android.com.myApp.webview;

import org.apache.cordova.CallbackContext;
import org.apache.cordova.CordovaPlugin;
import org.apache.cordova.PluginResult;
import org.json.JSONArray;

public class MyWebView extends CordovaPlugin {

  private volatile CallbackContext callbackContext;

  @Override
  public boolean execute(String action, JSONArray args, CallbackContext callbackContext) {
    if (action.equals("sslErrorHandler")) {
      this.callbackContext = callbackContext;
      PluginResult pluginResult = new PluginResult(PluginResult.Status.OK);
      pluginResult.setKeepCallback(true);
      callbackContext.sendPluginResult(pluginResult);
      return true;
    }
    return false;
  }

  @Override
  public Object onMessage(String id, Object data) {
    if ("onReceivedSslError".equals(id)) {
      if (this.callbackContext != null) {
        PluginResult result = new PluginResult(PluginResult.Status.ERROR, (Integer) data);
        result.setKeepCallback(true);
        this.callbackContext.sendPluginResult(result);
      }
    }
    return null;
  }
}